Subject: RE: [nemo] Extensions to NEMOv4 base for the Charter.

From: "Tsirtsis, George" <[email-masked]>
Date: Tue, 16 May 2006 11:52:37 -0700

> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]]
> Sent: Tuesday, May 16, 2006 2:29 PM
> To: Tsirtsis, George
> Cc: Thierry Ernst; [email-masked]
> Subject: Re: [nemo] Extensions to NEMOv4 base for the Charter.
> 
> Tsirtsis, George wrote:
> 
> > GT> I am sorry but this will just not do. In the real world you can
not
> > give to the customer a solution based on technology that the
customer
> > has no way of testing. The idea that operators will deploy DS-MIPv6
MRs
> > to support NEMOv4 functionality while they have not yet migrated to
IPv6
> > is entirely unrealistic.
> 
> hmm.. we had an extensive discussion on this on the MIPv4
> mailing list. I strongly disagree with all of the above.
> DS-MIPv6 does not require the operator to upgrade the
> access network to IPv6. only the clients and the home
> agent are involved.
> 

GT1> An "operator" does not only provide access network services. A lot
of operators provide a lot of services on top of access networks.  What
I am arguing is that an operator that provides mobility services i.e,
installs, configures, maintains the HAs, and configures and sells MRs as
part of some service (e.g, MRs in cars, plains, homes or whatever) MUST
be able to deal with IPv6 to do DS-MIPv6. An IPv4 only operator will not
be able to deal with this today. Which part of this is not obvious?

> >> Also, someone pointed that we should better complete the current
work
> >> and decide for a re-chartering a bit later in the year. I agree
with
> >> this suggestion, and we could discuss the rechartering a bit
further
> >> during next or next-next IETF meeting.
> >>
> >> So, my proposition would be to postpone the new charter.
> >>
> > GT> I disagree. I have followed this discussion for the last several
> > weeks and the WG has been spending its time debating what it will do
in
> > the future while there has been minimal debate on anything else. A
> > handful of us will get the NEMOv4 and its required extensions done
in
> > minimal time with minimal effect on the WG. I just fail to
understand
> > why you want to prevent willing WG members from doing work that is
> > clearly needed.
> 
> the new proposed charter has too many items already for
> NEMOv6. many folks want to work on this. you should
> recognized that. I didn't see enough support for adding
> NEMOv4-only items to the charter.
> 

GT2> What is enough? This is not a system where we need to count votes
and find the majority by even a single vote. I know that they are
slightly less people actively supporting this work than people not
supporting this work. So, what? Most people on the mailing list do not
actually care and I bet they are annoyed by this pointless, never ending
discussion.

George

> Vijay
> 
> >
> > George
> >
> >> Thierry.
> >>
> >> On Tue, 16 May 2006 07:40:58 -0700
> >> "Tsirtsis, George" <[email-masked]> wrote:
> >>
> >>> TJ,
> >>>
> >>> Since you agree IPv4-only work should be allowed, could you add a
> >>> sentence to indicate that the WG will work on FA support and
dynamic
> >>> prefix allocation extensions to the NEMOv4 base solution? I will
be
> >>> submitting a draft about these issues before the next meeting.
> >>>
> >>> Thanks
> >>> George
> >>>
> >>>> -----Original Message-----
> >>>> From: T.J. Kniveton [mailto:[email-masked]]
> >>>> Sent: Monday, May 15, 2006 1:05 PM
> >>>> To: Thierry Ernst
> >>>> Cc: [email-masked]
> >>>> Subject: Re: [nemo] Extensions to NEMOv4 base for the Charter.
> >>>>
> >>>>
> >>>> On May 4, 2006, at 7:16 AM, Thierry Ernst wrote:
> >>>>
> >>>>> I have a subtle understanding of what the message should be, and
> > it
> >>> is
> >>>>> valid in all organizations: been clear, not confusing, and well
> >>>>> documented. We cannot develop IPv4 and IPv6 protocols in the
> > same
> >>>>> group
> >>>>> (unless, as I said, we are working on interoperability issues).
> >>>> I would like to add one comment to this discussion. It seems
> >>>> appropriate to make a solution for IPv4-only networks, which
> >>>> thankfully is now underway. At some point it may make sense to
> > form a
> >>>> separate working group for IPv4-only issues, but it's probably a
> > bit
> >>>> too early to do that until the work is more mature, and the
> > industry
> >>>> interest level and engineering participation within the IETF can
> > be
> >>>> gauged.
> >>>>
> >>>> For IPv4-IPv6 mixed networks, it makes sense to me that we
> > continue
> >>>> to work on that issue here in this group (and in the Mobile IPv6
> >>>> working group).
> >>>>
> >>>> I understand some people have no interest in working on IPv4-only
> >>>> protocols, and likewise some people in NEMO probably have little
> > or
> >>>> no interest in IPv6-only protocols. But in a mixed network, we
> > should
> >>>> have something to say about how NEMO will work. After all, that
> >>>> scenario is a growth industry.
> >>>>
> >>>> TJ
> >>>>
> >>>
> >>>
> >>
> >> --
> >> Thierry ERNST, PhD
> >> INRIA Rocquencourt Projet IMARA
> >> +33 1 39 63 59 30
> >>
> >
> >

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 16 May 2006 12:01:44 -0700

> be able to deal with this today. Which part of this is not obvious?

I am going to avoid getting into this again. we had
a really long discussion already on this on the
MIPv4 mailing list.

> actually care and I bet they are annoyed by this pointless, never ending

George, *IMO* I didn't see enough support to add
NEMOv4-only work items to the charter. you may have
seen different. it is up to the WG chairs to decide.

Vijay

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 16 May 2006 22:34:15 +0200

Vijay Devarapalli wrote:
>> GT2> What is enough? This is not a system where we need to count 
>> votes and find the majority by even a single vote. I know that they
>>  are slightly less people actively supporting this work than people
>>  not supporting this work. So, what? Most people on the mailing 
>> list do not actually care and I bet they are annoyed by this 
>> pointless, never ending discussion.
> 
> George, *IMO* I didn't see enough support to add NEMOv4-only work 
> items to the charter. you may have seen different. it is up to the WG
>  chairs to decide.

Vijay, I'm not drawing conclusions, Chairs make decisions.

What I've seen is people willing to work on IPv6, others on IPv4 and yet
others requiring v4-v6 migration.

I haven't seen anybody opposing others' work, except maybe one and now
two.  I mean nobody who expressed wish to work on IPv6 opposed others to
work on IPv4, and vice-versa.  These are distinct.

Even if voting is done, there are many ways to ask a question.

Alex
PS: IPv4 is already in the Charter, so not need to "add".  It's because
     since the beginning people were interested in it.

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 16 May 2006 14:14:47 -0700

Alexandru Petrescu wrote:

> two.  

there were a few emails on the mailing list saying
IPv4-only work items should not be added to the
charter.

Vijay

---

From: Masafumi Watari <[email-masked]>
Date: Thu, 18 May 2006 20:21:08 +0900

> actually care and I bet they are annoyed by this pointless, never ending

Then maybe this isn't the right place for this work, or maybe now is not
the right time for it.  The voices on the list is important for the WG,
and not the read-only-members.

watari